> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice

> Get Invoice



## OpenAPI

````yaml get /v2/invoices/{id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v2/invoices/{id}:
    get:
      tags:
        - Invoice V2
      summary: Get Invoice
      description: Get Invoice
      parameters:
        - description: Invoice ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtosv2.InvoiceResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtosv2.InvoiceResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        reference_id:
          type: string
          x-order: '2'
          example: INV-20250101
        order_ids:
          description: All orders linked to this invoice, latest first
          type: array
          items:
            type: string
          x-order: '3'
          example:
            - 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        invoice_number:
          type: string
          x-order: '4'
          example: INV-20250101
        total_amount:
          description: Derived invoice total (items + invoice-level charges); read-only
          type: number
          x-order: '5'
          example: 269.96
        paid_amount:
          type: number
          x-order: '6'
          example: 100
        invoice_status:
          description: >-
            Lifecycle status
            (DRAFT/OPEN/SENT/PARTIALLY_PAID/CLOSED/OVERDUE/CANCELLED/CREDIT_NOTE_ISSUED);
            empty when not set
          type: string
          x-order: '7'
          example: SENT
        payment_method:
          type: string
          x-order: '7'
          example: card
        payment_terms:
          type: string
          x-order: '7'
          example: Net 30
        po_number:
          type: string
          x-order: '7'
          example: PO-2026-001
        sales_rep_id:
          type: string
          x-order: '7'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        shipped_date:
          description: null when not set
          type: string
          x-order: '7'
          example: '2026-07-15T00:00:00Z'
        shipping_method:
          type: string
          x-order: '7'
          example: FedEx Ground
        status:
          type: string
          x-order: '7'
          example: PAID
        due_date:
          type: string
          x-order: '8'
          example: '2025-01-01T00:00:00Z'
        remarks:
          type: string
          x-order: '9'
          example: Remarks
        url:
          type: string
          x-order: '10'
          example: https://example.com/invoice/INV-20250101
        created_at:
          type: string
          x-order: '11'
          example: '2025-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '12'
          example: '2025-01-01T00:00:00Z'
        items:
          type: array
          items:
            $ref: '#/components/schemas/dtosv2.InvoiceItemResponse'
          x-order: '13'
        charges:
          description: Populated on detail/create/update responses (not on list)
          type: array
          items:
            $ref: '#/components/schemas/dtosv2.InvoiceChargesResponse'
          x-order: '14'
        attributes:
          description: Populated on detail/create/update responses (not on list)
          type: array
          items:
            $ref: '#/components/schemas/attribute.AttributeValueResponse'
          x-order: '15'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtosv2.InvoiceItemResponse:
      type: object
      properties:
        name:
          type: string
          x-order: '4'
          example: Item Name
        sku:
          description: >-
            SKU as sent on create/update; empty for items created before sku
            storage
          type: string
          x-order: '5'
          example: SKU-20250101
        product_id:
          type: string
          maxLength: 255
          x-order: '6'
          example: '1234567890'
        amount:
          description: Pre-charge unit price (rate); use on create/update
          type: number
          x-order: '7'
          example: 1000000
        final_unit_price:
          description: Post-charge unit price; read-only
          type: number
          x-order: '8'
          example: 1100000
        item_total:
          type: number
          x-order: '9'
          example: 1000000
        tax_charges:
          allOf:
            - $ref: '#/components/schemas/dtosv2.InvoiceItemTaxChargesResponse'
          x-order: '10'
        item_status:
          allOf:
            - $ref: '#/components/schemas/dtosv2.InvoiceItemStatusResponse'
          x-order: '11'
        id:
          description: UUID
          type: string
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        quantity:
          type: integer
          example: 1000000
        reference_id:
          type: string
          example: ITEM-20250101
    dtosv2.InvoiceChargesResponse:
      type: object
      properties:
        name:
          type: string
          x-order: '1'
          example: Tax
        type:
          description: >-
            What the charge is (discount/tax/shipping); legacy charges may carry
            other stored values
          type: string
          x-order: '2'
          example: tax
        value_type:
          description: >-
            How amount is interpreted ("value" or "percentage"); legacy charges
            may carry other stored values
          type: string
          x-order: '3'
          example: value
        amount:
          type: number
          x-order: '4'
          example: 100
    attribute.AttributeValueResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        name:
          type: string
          x-order: '2'
          example: Color
        value:
          type: string
          x-order: '3'
          example: Red
        created_by:
          type: string
          x-order: '4'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        updated_by:
          type: string
          x-order: '5'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        created_at:
          type: string
          x-order: '6'
          example: '2021-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '7'
          example: '2021-01-01T00:00:00Z'
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
    dtosv2.InvoiceItemTaxChargesResponse:
      type: object
      properties:
        tax_value:
          type: number
          x-order: '1'
          example: 10
        tax_type:
          type: string
          x-order: '2'
          example: percentage
        discount_value:
          type: number
          x-order: '3'
          example: 5
        discount_type:
          type: string
          x-order: '4'
          example: value
        shipping_charge_value:
          type: number
          x-order: '5'
          example: 15
        shipping_charge_type:
          type: string
          x-order: '6'
          example: value
        additional_charge_name:
          type: string
          x-order: '7'
          example: Handling Fee
        additional_charge_value:
          type: number
          x-order: '8'
          example: 2.5
        additional_charge_type:
          type: string
          x-order: '9'
          example: value
    dtosv2.InvoiceItemStatusResponse:
      type: object
      properties:
        ordered_quantity:
          type: number
          x-order: '1'
          example: 10
        shipped_quantity:
          type: number
          x-order: '2'
          example: 4
        open_quantity:
          type: number
          x-order: '3'
          example: 6
        ship_date:
          type: string
          x-order: '4'
          example: '2026-07-15T00:00:00Z'
        delivered_date:
          type: string
          x-order: '5'
          example: '2026-07-20T00:00:00Z'
        requested_ship_date:
          type: string
          x-order: '6'
          example: '2026-07-14T00:00:00Z'
        requested_delivery_date:
          type: string
          x-order: '7'
          example: '2026-07-21T00:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````